
function mudfish_adclean_2a065fecfe6c69b41747e7edb986fe32() {
  var g_conf = {
    mudfish_adclean_filter_on: true
  };
  chrome.storage.local.get(g_conf, function (items) {
    if (!g_conf.mudfish_adclean_filter_on) {
      return;
    }
    try {
      Sizzle(`.main_prodlist > ul.product_list > li.prod_item:not([id])`).forEach(element => {
        element.style.display = "none";
      });
    } catch (error) {
      console.log('[ERROR] mudfish_adclean rule error: ' + error);
    }
  });
}

var mudfish_adclean_is_firefox = typeof InstallTrigger !== 'undefined';
if (mudfish_adclean_is_firefox) {
  mudfish_adclean_2a065fecfe6c69b41747e7edb986fe32();
} else {
  window.addEventListener("load", (event) => {
    mudfish_adclean_2a065fecfe6c69b41747e7edb986fe32();
  });
}
